% File src/library/base/man/Paren.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2008 R Core Team
% Distributed under GPL 2 or later

\name{Paren}
\alias{Paren}
\alias{(}
\alias{\{}
\title{Parentheses and Braces}
\usage{
\special{( \dots )}

\special{{ \dots }}
}
\description{
  丸括弧 \code{(} と波括弧 \code{\{} は \R の 
 \code{\link{.Primitive}} 関数である．

実効的には，\code{(} は構文的に恒等関数 
  \code{function(x) x} に等しいが，\code{\{} はもう少し興味深い．
  実例を見よ．
}
\value{
  \code{(} は引数の評価結果．これは可視と設定されており，
従ってトップレベルでつかわれると自動的にプリントされる．

 \code{\{} は最後に評価された表現式の結果．最後の結果は可視化されている．
}
\references{
  Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988)
  \emph{The New S Language}.
  Wadsworth & Brooks/Cole.
}
\seealso{
  \R 言語自体で使われる他のオブジェクトについては
  \code{\link{if}}, \code{\link{return}} 等．

  演算子の優先度については \code{\link{Syntax}}．
}
\examples{
f <- get("(")
e <- expression(3 + 2 * 4)
identical(f(e), e)

do <- get("\{")
do(x <- 3, y <- 2*x-3, 6-x-y); x; y

## 違いに注意
(2+3)
{2+3; 4+5}
(invisible(2+3))
{invisible(2+3)}
}
\keyword{programming}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/Paren.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2008 R Core Team
%% Distributed under GPL 2 or later
%
%\name{Paren}
%\alias{Paren}
%\alias{(}
%\alias{\{}
%\title{Parentheses and Braces}
%\usage{
%\special{( \dots )}
%
%\special{{ \dots }}
%}
%\description{
%  Open parenthesis, \code{(}, and open brace, \code{\{}, are
%  \code{\link{.Primitive}} functions in \R.
%
%  Effectively, \code{(} is semantically equivalent to the identity
%  \code{function(x) x}, whereas \code{\{} is slightly more interesting,
%  see examples.
%}
%\value{
%  For \code{(}, the result of evaluating the argument.  This has
%  visibility set, so will auto-print if used at top-level.
%
%  For \code{\{}, the result of the last expression evaluated.  This has
%  the visibility of the last evaluation.
%}
%\references{
%  Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988)
%  \emph{The New S Language}.
%  Wadsworth & Brooks/Cole.
%}
%\seealso{
%  \code{\link{if}}, \code{\link{return}}, etc for other objects used in
%  the \R language itself.
%
%  \code{\link{Syntax}} for operator precedence.
%}
%\examples{
%f <- get("(")
%e <- expression(3 + 2 * 4)
%identical(f(e), e)
%
%do <- get("\{")
%do(x <- 3, y <- 2*x-3, 6-x-y); x; y
%
%## note the differences
%(2+3)
%{2+3; 4+5}
%(invisible(2+3))
%{invisible(2+3)}
%}
%\keyword{programming}
%
\encoding{UTF8}
