% File src/library/base/man/is.function.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{is.function}
\alias{is.function}
\alias{is.primitive}
\title{Is an Object of Type (Primitive) Function?}
\usage{
is.function(x)
is.primitive(x)
}
\description{その引数が(プリミティブな)関数であるかどうかを検査する．}
\arguments{
  \item{x}{\R オブジェクト．}
}
\details{
  \code{is.primitive(x)} は \code{x} がプリミティブな関数かどうか
  (\code{\link{typeof}} に解説されているような \code{"builtin"} か
  \code{"special"})を検査する．これはプリミティブな関数である．
}
\value{
  \code{x} が(プリミティブな)関数ならば \code{TRUE} で，さもなければ \code{FALSE}．
}
\examples{
is.function(1) # FALSE
is.function(is.primitive)  # TRUE: これは関数であるが，しかし ..
is.primitive(is.primitive) # FALSE:これはプリミティブな関数ではない，がしかし
is.primitive(is.function)  # TRUE: これはそうである
}
\keyword{programming}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/is.function.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{is.function}
%\alias{is.function}
%\alias{is.primitive}
%\title{Is an Object of Type (Primitive) Function?}
%\usage{
%is.function(x)
%is.primitive(x)
%}
%\description{Checks whether its argument is a (primitive) function.}
%\arguments{
%  \item{x}{an \R object.}
%}
%\details{
%  \code{is.primitive(x)} tests if \code{x} is a primitive function
%  (either a \code{"builtin"} or \code{"special"} as described for
%  \code{\link{typeof}})?  It is a \link{primitive} function.
%}
%\value{
%  \code{TRUE} if \code{x} is a (primitive) function, and \code{FALSE}
%  otherwise.
%}
%\examples{
%is.function(1) # FALSE
%is.function(is.primitive)  # TRUE: it is a function, but ..
%is.primitive(is.primitive) # FALSE:it's not a primitive one, whereas
%is.primitive(is.function)  # TRUE: that one *is*
%}
%\keyword{programming}
%
\encoding{UTF8}
