% File src/library/base/man/is.object.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2011 R Core Team
% Distributed under GPL 2 or later

\name{is.object}
\alias{is.object}
\title{Is an Object \sQuote{internally classed}?}
\usage{
is.object(x)
}
\description{
    むしろ内部的使用のための関数である．これはもし
    オブジェクト \code{x} に \R の内部 \code{OBJECT} ビットが設定されていれば
    \code{TRUE} を返し，さもなければ \code{FALSE} を返す．\code{OBJECT} ビットは
    \code{"class"} 属性が加えられると設定され，属性が除かれると
    除かれる．従ってオブジェクトがクラス属性を持つかどうかをチェックする
    非常に効率的な方法である．
    (S4 オブジェクトは常に持つべきである．)
}
\arguments{
  \item{x}{検査すべきオブジェクト．}
}
\note{
  これはプリミティブな関数である．
}
\seealso{
  \code{\link{class}} と \code{\link{methods}}．

  \code{\link{isS4}}.
}

\examples{
is.object(1) # FALSE
is.object(as.factor(1:3)) # TRUE
}
\keyword{methods}
\keyword{classes}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/is.object.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{is.object}
%\alias{is.object}
%\title{Is an Object \sQuote{internally classed}?}
%\usage{
%is.object(x)
%}
%\description{
%    A function rather for internal use.  It returns \code{TRUE} if the
%    object \code{x} has the \R internal \code{OBJECT} bit set, and
%    \code{FALSE} otherwise.  The \code{OBJECT} bit is set when a
%    \code{"class"} attribute is added and removed when that attribute is
%    removed, so this is a very efficient way to check if an object has a
%    class attribute.  (S4 objects always should.)
%}
%\arguments{
%  \item{x}{object to be tested.}
%}
%\note{
%  This is a \link{primitive} function.
%}
%\seealso{
%  \code{\link{class}}, and \code{\link{methods}}.
%
%  \code{\link{isS4}}.
%}
%
%\examples{
%is.object(1) # FALSE
%is.object(as.factor(1:3)) # TRUE
%}
%\keyword{methods}
%\keyword{classes}
%
\encoding{UTF8}
