% File src/library/base/man/ns-reflect.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007, 2015 R Core Team
% Distributed under GPL 2 or later

\name{ns-reflect.Rd}
\title{Namespace Reflection Support}

\alias{getExportedValue}
\alias{getNamespace}
\alias{getNamespaceExports}
\alias{getNamespaceImports}
\alias{getNamespaceName}
\alias{getNamespaceUsers}
\alias{getNamespaceVersion}

\usage{
getExportedValue(ns, name)
getNamespace(name)
getNamespaceExports(ns)
getNamespaceImports(ns)
getNamespaceName(ns)
getNamespaceUsers(ns)
getNamespaceVersion(ns)
}
\arguments{
  \item{ns}{文字列もしくは名前空間オブジェクト．}
  \item{name}{文字列もしくは名前．}
}
\description{
  名前空間オブジェクトを吟味することを助ける内部関数．
}
\seealso{
  名前空間についてのより多くは \code{\link{loadNamespace}}．
}
\details{
  \code{getExportedValue} は名前空間 \code{ns} 中の移出変数
  \code{name} の値を返す．

  \code{getNamespace} は名前空間 \code{name} を表現する
  環境を返す．必要なら名前空間がロードされる．

  \code{getNamespaceExports} は \code{ns}. により移出された名前の
  文字列ベクトルを返す．

  \code{getNamespaceImports} は名前空間 \code{ns} により使われている
  移入の表現を返す．表現は実験的で変更される可能性がある．

  \code{getNamespaceName} と \code{getNamespaceVersion} は
  名前空間 \code{ns} の名前とバージョンを返す．

  \code{getNamespaceUsers} は名前空間 \code{ns} を移入する名前空間の
  文字列ベクトルを返す．
}
\keyword{internal}
\author{Luke Tierney}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/ns-reflect.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007, 2015 R Core Team
%% Distributed under GPL 2 or later
%
%\name{ns-reflect.Rd}
%\title{Namespace Reflection Support}
%
%\alias{getExportedValue}
%\alias{getNamespace}
%\alias{getNamespaceExports}
%\alias{getNamespaceImports}
%\alias{getNamespaceName}
%\alias{getNamespaceUsers}
%\alias{getNamespaceVersion}
%
%\usage{
%getExportedValue(ns, name)
%getNamespace(name)
%getNamespaceExports(ns)
%getNamespaceImports(ns)
%getNamespaceName(ns)
%getNamespaceUsers(ns)
%getNamespaceVersion(ns)
%}
%\arguments{
%  \item{ns}{string or namespace object.}
%  \item{name}{string or name.}
%}
%\description{
%  Internal functions to support reflection on namespace objects.
%}
%\seealso{
%  \code{\link{loadNamespace}} for more about namespaces.
%}
%\details{
%  \code{getExportedValue} returns the value of the exported variable
%  \code{name} in namespace \code{ns}.
%
%  \code{getNamespace} returns the environment representing the name
%  space \code{name}.  The namespace is loaded if necessary.
%
%  \code{getNamespaceExports} returns a character vector of the names
%  exported by \code{ns}.
%
%  \code{getNamespaceImports} returns a representation of the imports
%  used by namespace \code{ns}.  This representation is experimental
%  and subject to change.
%
%  \code{getNamespaceName} and \code{getNamespaceVersion} return the name
%  and version of the namespace \code{ns}.
%
%  \code{getNamespaceUsers} returns a character vector of the names of
%  the namespaces that import namespace \code{ns}.
%}
%\keyword{internal}
%\author{Luke Tierney}
%
\encoding{UTF8}
