% File src/library/datasets/man/PlantGrowth.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{PlantGrowth}
\docType{data}
\title{植物の成長実験からの結果}
\alias{PlantGrowth}
%%\title{Results from an Experiment on Plant Growth}
\description{
  対称群と二つの異なった処理の下での
  生産量(植物の乾燥重量で測定)の比較実験からの結果．
}
\usage{PlantGrowth}
\format{
  2変数，30ケースのデータフレーム．

  \tabular{rll}{
    [, 1] \tab weight \tab 数値 \cr
    [, 2] \tab group  \tab 因子
  }

  \code{group} の水準は \sQuote{ctrl}, \sQuote{trt1} そして \sQuote{trt2}．
}
\examples{
## Dobson の本の Table 7.4 からの一因子 ANOVA
require(stats); require(graphics)
boxplot(weight ~ group, data = PlantGrowth, main = "PlantGrowth data",
        ylab = "Dried weight of plants", col = "lightgray",
        notch = TRUE, varwidth = TRUE)
anova(lm(weight ~ group, data = PlantGrowth))
}
\source{
  Dobson, A. J. (1983)
  \emph{An Introduction to Statistical Modelling}.
  London: Chapman and Hall.
}
\keyword{datasets}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/datasets/man/PlantGrowth.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{PlantGrowth}
%\docType{data}
%\alias{PlantGrowth}
%\title{Results from an Experiment on Plant Growth}
%\description{
%  Results from an experiment to compare yields (as measured by dried
%  weight of plants) obtained under a control and two different treatment
%  conditions.
%}
%\usage{PlantGrowth}
%\format{
%  A data frame of 30 cases on 2 variables.
%
%  \tabular{rll}{
%    [, 1] \tab weight \tab numeric \cr
%    [, 2] \tab group  \tab factor
%  }
%
%  The levels of \code{group} are \sQuote{ctrl}, \sQuote{trt1}, and \sQuote{trt2}.
%}
%\examples{
%## One factor ANOVA example from Dobson's book, cf. Table 7.4:
%require(stats); require(graphics)
%boxplot(weight ~ group, data = PlantGrowth, main = "PlantGrowth data",
%        ylab = "Dried weight of plants", col = "lightgray",
%        notch = TRUE, varwidth = TRUE)
%anova(lm(weight ~ group, data = PlantGrowth))
%}
%\source{
%  Dobson, A. J. (1983)
%  \emph{An Introduction to Statistical Modelling}.
%  London: Chapman and Hall.
%}
%\keyword{datasets}
%
%\encoding{UTF8}
%