% File src/library/datasets/man/state.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{state}
\docType{data}
\title{米国各州のデータ}
\alias{state}
\alias{state.abb}
\alias{state.area}
\alias{state.center}
\alias{state.division}
\alias{state.name}
\alias{state.region}
\alias{state.x77}
%%\title{US State Facts and Figures}
\description{米国の50州に関連するデータセット．}
\usage{
state.abb
state.area
state.center
state.division
state.name
state.region
state.x77
}
\details{
  \R は現在以下の\dQuote{州}に関するデータセットを持つ．
  全てのデータは州名のアルファベット順に並べられていることを注意する．
  \describe{
    \item{\code{state.abb}:}{州名の二文字の省略形の文字列ベクトル．}
    \item{\code{state.area}:}{州面積の数値ベクトル(単位 平方マイル)．}
    \item{\code{state.center}:}{
      名前 \code{x} と \code{y} を持つリストで，
      負の緯度と経度による近似的な各州の地理学的中心．
      アラスカとハワイは単に西海岸に位置する．}
    \item{\code{state.division}:}{州の区分を与える因子
      (New England, Middle Atlantic, South Atlantic, East South Central, West
      South Central, East North Central, West North Central, Mountain,
      そして Pacific)．}
    \item{\code{state.name}:}{完全な州名．}
    \item{\code{state.region}:}{
      各州が属する地域を与える因子(Northeast,
      South, North Central, West)．}
    \item{\code{state.x77}:}{
      以下の統計を対応する列に持つ50行8列の行列．
      \describe{
        \item{\code{Population}:}{
	  July 1, 1975 に於ける推定人口．}
        \item{\code{Income}:}{一人あたり収入(1974)．}
        \item{\code{Illiteracy}:}{文盲率(1970，人口比)．}
        \item{\code{Life Exp}:}{平均余命(1969--71)．}
        \item{\code{Murder}:}{人口10万人あたりの殺人と故殺率(1976)．}
        \item{\code{HS Grad}:}{高校卒業率(1970)．}
        \item{\code{Frost}:}{首都もしくは大都市に於ける零度以下の気温の平均日数
	  (1931--1960)．}
       \item{\code{Area}:}{平方マイル単位の面積．}
    }}
  }
}
\source{
  U.S. Department of Commerce, Bureau of the Census (1977)
  \emph{Statistical Abstract of the United States}.

  U.S. Department of Commerce, Bureau of the Census (1977)
  \emph{County and City Data Book}.
}
\references{
  Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988)
  \emph{The New S Language}.
  Wadsworth & Brooks/Cole.
}
\keyword{datasets}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/datasets/man/state.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{state}
%\docType{data}
%\alias{state}
%\alias{state.abb}
%\alias{state.area}
%\alias{state.center}
%\alias{state.division}
%\alias{state.name}
%\alias{state.region}
%\alias{state.x77}
%\title{US State Facts and Figures}
%\description{Data sets related to the 50 states of the United States of
%  America.}
%\usage{
%state.abb
%state.area
%state.center
%state.division
%state.name
%state.region
%state.x77
%}
%\details{
%  \R currently contains the following \dQuote{state} data sets.  Note
%  that all data are arranged according to alphabetical order of the
%  state names.
%  \describe{
%    \item{\code{state.abb}:}{character vector of 2-letter abbreviations
%      for the state names.}
%    \item{\code{state.area}:}{numeric vector of state areas (in square
%      miles).}
%    \item{\code{state.center}:}{ list with components named \code{x} and
%      \code{y} giving the approximate geographic center of each state in
%      negative longitude and latitude.  Alaska and Hawaii are placed
%      just off the West Coast.}
%    \item{\code{state.division}:}{factor giving state divisions (New
%      England, Middle Atlantic, South Atlantic, East South Central, West
%      South Central, East North Central, West North Central, Mountain,
%      and Pacific).}
%    \item{\code{state.name}:}{character vector giving the full state
%      names.}
%    \item{\code{state.region}:}{factor giving the region (Northeast,
%      South, North Central, West) that each state belongs to.}
%    \item{\code{state.x77}:}{matrix with 50 rows and 8 columns giving
%      the following statistics in the respective columns.
%      \describe{
%        \item{\code{Population}:}{population estimate as of July 1,
%          1975}
%        \item{\code{Income}:}{per capita income (1974)}
%        \item{\code{Illiteracy}:}{illiteracy (1970, percent of
%          population)}
%        \item{\code{Life Exp}:}{life expectancy in years (1969--71)}
%        \item{\code{Murder}:}{murder and non-negligent manslaughter rate
%          per 100,000 population (1976)}
%        \item{\code{HS Grad}:}{percent high-school graduates (1970)}
%        \item{\code{Frost}:}{mean number of days with minimum
%          temperature below freezing (1931--1960) in capital or large
%          city}
%       \item{\code{Area}:}{land area in square miles}
%    }}
%  }
%}
%\source{
%  U.S. Department of Commerce, Bureau of the Census (1977)
%  \emph{Statistical Abstract of the United States}.
%
%  U.S. Department of Commerce, Bureau of the Census (1977)
%  \emph{County and City Data Book}.
%}
%\references{
%  Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988)
%  \emph{The New S Language}.
%  Wadsworth & Brooks/Cole.
%}
%\keyword{datasets}
%
%\encoding{UTF8}
%