% File src/library/grDevices/man/grSoftVersion.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2014 R Core Team
% Distributed under GPL 2 or later

\name{grSoftVersion}
\alias{grSoftVersion}
\title{グラフィックスソフトウェアのバージョン}
%%\title{Report Versions of Graphics Software}
\description{
  サードパーティー製のグラフィックスソフトウェアのバージョンを報告する．
}
\usage{
grSoftVersion()
}
\value{
  少なくとも次の要素を含む名前付き文字列ベクトル
  
  \item{cairo}{使用中の cairo グラフィックス，又はもし
    cairo グラフィックスが利用できなければ \code{""}．}

  これはまた標準(Windows の場合)や X11 に基づく(Unix の場合)
  (cairo に基づかない)ビットマップデバイスで使われるサードパーティーソフトウェア
  のバージョンも含む：
  \item{libpng}{
    使用中の \code{libpng} のバージョン，又はもし利用できなければ \code{""}．}
  \item{jpeg}{コンパイルに使われる JPEG ヘッダー，又は
    JPEG サポートがコンパイルされていなければ \code{""}．}
  \item{libtiff}{使用中の \code{libtiff} のバージョン．又はもし利用できなければ
    \code{""}．}
  
  特に述べられていなければ報告されるバージョンは
  実行時に使われる
  (もしかするとダイナミックにリンクされた)ライブラリのそれである．

  ある種の Linux ディストリビューションで使われる \code{libjpeg-turbo}
  はそのバージョンをそれがフォークする IJG のバージョンである \code{"6.2"}
  を報告する．
}

\seealso{
  グラフィックスでないソフトウェアのバージョンに対しては \code{\link{extSoftVersion}}．
}
%% output is variable
\examples{
\donttest{grSoftVersion()}
}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grDevices/man/grSoftVersion.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grSoftVersion}
%\alias{grSoftVersion}
%\title{Report Versions of Graphics Software}
%\description{
%  Report versions of third-party graphics software.
%}
%\usage{
%grSoftVersion()
%}
%\value{
%  A named character vector containing at least the element
%  
%  \item{cairo}{the version of cairographics in use, or \code{""} if
%    cairographics is not available.}
%
%  It may also contain the versions of third-party software used
%  by the
%#ifdef windows
%  standard
%#endif
%#ifdef unix
%  X11-based
%#endif
%  (not cairo-based) bitmap devices:
%  \item{libpng}{the version of \code{libpng} in use, or \code{""} if
%    not available.}
%  \item{jpeg}{the version of the JPEG headers used for compilation,
%    or \code{""} if JPEG support was not compiled in.}
%  \item{libtiff}{the version of \code{libtiff} in use, or \code{""} if
%    not available.}
%  
%  Unless otherwise stated the reported version is that of the (possibly
%  dynamically-linked) library in use at runtime.
%
%  Note that \code{libjpeg-turbo} used on some Linux distributions
%  reports its version as \code{"6.2"}, the IJG version from which it forked.
%}
%
%\seealso{
%  \code{\link{extSoftVersion}} for versions of non-graphics software.
%}
%%% output is variable
%\examples{
%\donttest{grSoftVersion()}
%}
%
%\encoding{UTF-8}
%