% File src/library/grid/man/arrow.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{arrow}
%@%\alias{矢印}
\alias{arrow}
\title{線に加える矢印を記述する．}
%\title{ Describe arrows to add to a line. }
\description{
  どのような矢尻が線に加えられるかの記述を生成する．
  結果は線を引く関数に渡すことが出来る，例えば
  \code{grid.lines}．
}
\usage{
arrow(angle = 30, length = unit(0.25, "inches"),
      ends = "last", type = "open")
}
\arguments{
  \item{angle}{度単位の矢尻の角度(より小さな値は
    より狭く尖る)．本質的に矢尻の幅を記述する．}
  \item{length}{矢尻の長さを指定する単位
    (先端から基礎まで)．}
  \item{ends}{\code{"last"}, \code{"first"} または \code{"both"}
    のどれかで，線のどちらの端に矢尻を描くかを指示する．}
  \item{type}{\code{"open"} または \code{"closed"} のどちらかで
    矢尻が閉じた三角形であるかどうかを指示する．}
}
\examples{
arrow()
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/arrow.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{arrow}
%\alias{arrow}
%\title{ Describe arrows to add to a line. }
%\description{
%  Produces a description of what arrows to add to a line.
%  The result can be passed to a function that draws a line,
%  e.g., \code{grid.lines}.
%}
%\usage{
%arrow(angle = 30, length = unit(0.25, "inches"),
%      ends = "last", type = "open")
%}
%\arguments{
%  \item{angle}{The angle of the arrow head in degrees (smaller numbers
%    produce narrower, pointier arrows).  Essentially describes
%    the width of the arrow head.}
%  \item{length}{A unit specifying the length of the arrow head (from tip
%    to base).}
%  \item{ends}{One of \code{"last"}, \code{"first"}, or \code{"both"},
%    indicating which ends of the line to draw arrow heads.}
%  \item{type}{One of \code{"open"} or \code{"closed"} indicating
%    whether the arrow head should be a closed triangle.}
%}
%\examples{
%arrow()
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%