\name{depth}
%@%\alias{オブジェクト中のレベル数}
\alias{depth}
\alias{depth.viewport}
\alias{depth.path}
\title{オブジェクト中のレベルの数を決定する．}
%\title{Determine the number of levels in an object.}
\description{
  ビューポートスタックまたはツリー，
  ビューポートパス，またはグロッブパス中のレベルの数を決定する，
}
\usage{
depth(x, ...)
\method{depth}{viewport}(x, ...)
\method{depth}{path}(x, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
    典型的にはビューポート，ビューポートスタック，ビューポートツリー，
    ビューポートリスト，ビューポートパス，又はグロッブパス，
  }
  \item{\dots}{他のメソッドにより使われる引数．}
}
\details{
  パスの深さはそれらが枝を含まないのでかなり明快である．
  ビューポートスタックの深さはスタックの成分の深さの和である．
  ビューポートツリーの深さは親の深さに子供の深さを加えたものである．
  ビューポートリストの深さは
  リストの最後の成分の深さである．
}
\value{
  整数値．
}
\seealso{
  \code{\link{viewport}}, \code{\link{vpPath}}, \code{\link{gPath}}.
}
\examples{
vp <- viewport()
depth(vp)
depth(vpStack(vp, vp))
depth(vpList(vpStack(vp, vp), vp))
depth(vpPath("vp"))
depth(vpPath("vp1", "vp2"))
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\name{depth}
%\alias{depth}
%\alias{depth.viewport}
%\alias{depth.path}
%\title{
%  Determine the number of levels in an object.
%}
%\description{
%  Determine the number of levels in a viewport stack or tree,
%  in a viewport path, or in a grob path.
%}
%\usage{
%depth(x, ...)
%\method{depth}{viewport}(x, ...)
%\method{depth}{path}(x, ...)
%}
%%- maybe also 'usage' for other objects documented here.
%\arguments{
%  \item{x}{
%    Typically a viewport or viewport stack or viewport tree or viewport
%    list, or a viewport path, or a grob path.
%  }
%  \item{\dots}{ Arguments used by other methods. }
%}
%\details{
%  Depths of paths are pretty straightforward because they contain
%  no branchings.  The depth of a viewport stack is the sum of the depths
%  of the components of the stack.  The depth of a viewport tree is
%  the depth of the parent plus the depth of the children.
%  The depth of a viewport list is the depth of the last component
%  of the list.
%}
%\value{
%  An integer value.
%}
%\seealso{
%  \code{\link{viewport}}, \code{\link{vpPath}}, \code{\link{gPath}}.
%}
%\examples{
%vp <- viewport()
%depth(vp)
%depth(vpStack(vp, vp))
%depth(vpList(vpStack(vp, vp), vp))
%depth(vpPath("vp"))
%depth(vpPath("vp1", "vp2"))
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%