% File src/library/grid/man/editDetails.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{editDetails}
%@%\alias{グリッドの編集のカスタマイズ}
\alias{editDetails}
\title{グリッドの編集をカスタマイズ }
%\title{ Customising grid Editing }
\description{
  この総称的フック関数は
  グリッド grob が
  \code{grid.edit} や \code{editGrob} を使って編集される毎に
  呼び出される．これは
  grob (や gTree) から導かれる新しいクラスの編集のカスタム化
  に対する機会を提供する．
}
\usage{
editDetails(x, specs)
}
\arguments{
  \item{x}{グリッドの grob．}
  \item{specs}{名前付き要素のリスト．
    名前は修正される grob のスロットであり，値はそのスロットに対する
    新しい値である．}
}
\details{
  この関数は
  \code{grid.edit} と \code{editGrob} により呼び出される．
  もしスロット中の変更が
  grob や gTree の子供達に影響を持てば
  (例えば \code{grid:::editDetails.xaxis} を見よ)
  grob や gTree から導かれたクラスに対するメソッドが書かれるべきである．

  スロットは新しい値を持っていることを注意する．
}
\value{
  この関数は修正された
  grob を返さなければならない．
}
\author{ Paul Murrell }
\seealso{ \code{\link{grid.edit}} }
\keyword{ dplot }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/editDetails.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{editDetails}
%\alias{editDetails}
%\title{ Customising grid Editing }
%\description{
%  This generic hook function is called whenever a grid grob is edited
%  via \code{grid.edit} or \code{editGrob}.
%  This provides an opportunity for customising the editing of a
%  new class derived from grob (or gTree).
%}
%\usage{
%editDetails(x, specs)
%}
%\arguments{
%  \item{x}{ A grid grob. }
%  \item{specs}{ A list of named elements.  The names indicate the
%    grob slots to modify and the values are the new values for the slots. }
%}
%\details{
%  This function is called by \code{grid.edit} and \code{editGrob}.
%  A method should be written for classes derived from grob or gTree
%  if a change in a slot has an effect on other slots in the grob or
%  children of a gTree (e.g., see \code{grid:::editDetails.xaxis}).
%
%  Note that the slot already has the new value.
%}
%\value{
%  The function MUST return the modified grob.
%}
%\author{ Paul Murrell }
%\seealso{ \code{\link{grid.edit}} }
%\keyword{ dplot }
%
%\encoding{UTF8}
%