% File src/library/grid/man/gPath.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{gPath}
%@%\alias{Grob 名の連結}
\alias{gPath}
\title{Grob 名を連結する}
%\title{ Concatenate Grob Names }
\description{
  この関数は
  \code{grid.edit} とその仲間が使うための grob パス
  を生成するために使われる．

  grob パスは入れ子の grob 名のリストである．
}
\usage{
gPath(...)
}
\arguments{
  \item{\dots}{grob 名の文字列ベクトル．}
}
\details{
  grob 名は gTree 中で同じ親を共有する grobs の
  間でだけユニークである必要がある．

  この関数は grob の親の名前
  (そしてその親の名前，云々)を含む grob に対する
  指定を生成するのに使うことが出来る．
  
  対話的な使用に対しては，パスを直接指定することが可能であるが，
  そうでなければ
  グリッドの将来のバージョンでパスの分離子が変更される場合に備え
  この関数を使うことが強く勧められる．
}
\value{
  \code{gPath} オブジェクト．
}
\seealso{
  \code{\link{grob}},
  \code{\link{editGrob}},
  \code{\link{addGrob}},
  \code{\link{removeGrob}},
  \code{\link{getGrob}},
  \code{\link{setGrob}}
}
\examples{
gPath("g1", "g2")
}
\keyword{ dplot }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/gPath.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{gPath}
%\alias{gPath}
%\title{ Concatenate Grob Names }
%\description{
%  This function can be used to generate a grob path for use
%  in \code{grid.edit} and friends.
%
%  A grob path is a list of nested grob names.
%}
%\usage{
%gPath(...)
%}
%\arguments{
%  \item{\dots}{ Character values which are grob names. }
%}
%\details{
%  Grob names must only be unique amongst grobs which
%  share the same parent in a gTree.
%
%  This function can be used to generate a specification for
%  a grob that includes the grob's parent's name
%  (and the name of its parent and so on).
%
%  For interactive use, it is possible to directly specify
%  a path, but it is strongly recommended that this function
%  is used otherwise in case the path separator is changed
%  in future versions of grid.
%}
%\value{
%  A \code{ gPath } object.
%}
%\seealso{
%  \code{\link{grob}},
%  \code{\link{editGrob}},
%  \code{\link{addGrob}},
%  \code{\link{removeGrob}},
%  \code{\link{getGrob}},
%  \code{\link{setGrob}}
%}
%\examples{
%gPath("g1", "g2")
%}
%\keyword{ dplot }
%
%\encoding{UTF8}
%