
\name{grid.grep}
%@%\alias{grob の探索}
\alias{grid.grep}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Search for grobs}
%\title{grob を探索する}
\description{
  gPath を与えディスプレイリスト上か与えられた grob 内で
  全てのマッチする grob を見つける．
}
\usage{
grid.grep(path, x = NULL, grobs = TRUE, viewports = FALSE,
          strict = FALSE, grep = FALSE, global = FALSE,
          no.match = character())
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{path}{gPath．}
  \item{x}{grob か \code{NULL}．もし \code{NULL} なら，
  ディスプレイリストが探索される．
  }
  \item{grobs}{
    grob を探索すべきかを指示する論理値．}
  \item{viewports}{
    ビューポートを探索すべきかを指示する論理値．}
  \item{strict}{
    \code{path} は正確にマッチされるべきかどうかを指示するブール値．
  }
  \item{grep}{
    \code{path} を正規表現として扱うべきか．
  }
  \item{global}{
    関数は \code{path} の最初のマッチだけに影響するか，それとも
    マッチした全てが影響されるかを指示するブール値．
  }
  \item{no.match}{
    マッチするものが見つからなければ返される値．
  }
}
\value{
  gPath か，もし \code{global} が \code{TRUE} ならば gPaths のりスト．
  マッチするものが無ければ \code{no.match} が返される．
}

\seealso{
  grid.ls()
}
\examples{
# "grandparent" と呼ばれる gTree，
# childrenvp vpStack (vp1 中に vp2)を持つ "parent" と呼ばれる子 gTree，
# そして vp vpPath (vp2 の下)を持つ子 grob
sampleGTree <- gTree(name="grandparent",
                     children=gList(gTree(name="parent",
                          children=gList(grob(name="child", vp="vp1::vp2")),
                          childrenvp=vpStack(viewport(name="vp1"),
                                             viewport(name="vp2")))))
# grob を探す
grid.grep("parent", sampleGTree)
grid.grep("parent", sampleGTree, strict=TRUE)
grid.grep("grandparent", sampleGTree, strict=TRUE)
grid.grep("grandparent::parent", sampleGTree)
grid.grep("parent::child", sampleGTree)
grid.grep("[a-z]", sampleGTree, grep=TRUE)
grid.grep("[a-z]", sampleGTree, grep=TRUE, global=TRUE)
# ビューポートを探す
grid.grep("vp1", sampleGTree, viewports=TRUE)
grid.grep("vp2", sampleGTree, viewports=TRUE)
grid.grep("vp", sampleGTree, viewports=TRUE, grep=TRUE)
grid.grep("vp2", sampleGTree, viewports=TRUE, strict=TRUE)
grid.grep("vp1::vp2", sampleGTree, viewports=TRUE)
# 双方を探す
grid.grep("[a-z]", sampleGTree, viewports=TRUE, grep=TRUE, global=TRUE)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ dplot }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\name{grid.grep}
%\alias{grid.grep}
%%- Also NEED an '\alias' for EACH other topic documented here.
%\title{
%  Search for grobs
%}
%\description{
%  Given a gPath, find all matching grobs on the display list
%  or within a given grob.
%}
%\usage{
%grid.grep(path, x = NULL, grobs = TRUE, viewports = FALSE,
%          strict = FALSE, grep = FALSE, global = FALSE,
%          no.match = character())
%}
%%- maybe also 'usage' for other objects documented here.
%\arguments{
%  \item{path}{ a gPath. }
%  \item{x}{ a grob or \code{NULL}.  If \code{NULL}, the display list
%    is searched.
%  }
%  \item{grobs}{A logical value indicating whether to search for grobs.}
%  \item{viewports}{A logical value indicating whether to search for
%    viewports.}
%  \item{strict}{
%    A boolean indicating whether the \code{path} must be matched
%    exactly.
%  }
%  \item{grep}{
%    Whether the \code{path} should be treated as a regular expression.
%  }
%  \item{global}{
%    A boolean indicating whether the function should affect just the
%    first match of the \code{path}, or whether all matches should be
%    affected.
%  }
%  \item{no.match}{
%    The value to return if no matches are found.
%  }
%}
%\value{
%  Either a gPath or, if \code{global} is \code{TRUE} a list of gPaths.
%  If there are no matches, \code{no.match} is returned.
%}
%
%\seealso{
%  grid.ls()
%}
%\examples{
%# A gTree, called "grandparent", with child gTree,
%# called "parent", with childrenvp vpStack (vp2 within vp1)
%# and child grob, called "child", with vp vpPath (down to vp2)
%sampleGTree <- gTree(name="grandparent",
%                     children=gList(gTree(name="parent",
%                          children=gList(grob(name="child", vp="vp1::vp2")),
%                          childrenvp=vpStack(viewport(name="vp1"),
%                                             viewport(name="vp2")))))
%# Searching for grobs
%grid.grep("parent", sampleGTree)
%grid.grep("parent", sampleGTree, strict=TRUE)
%grid.grep("grandparent", sampleGTree, strict=TRUE)
%grid.grep("grandparent::parent", sampleGTree)
%grid.grep("parent::child", sampleGTree)
%grid.grep("[a-z]", sampleGTree, grep=TRUE)
%grid.grep("[a-z]", sampleGTree, grep=TRUE, global=TRUE)
%# Searching for viewports
%grid.grep("vp1", sampleGTree, viewports=TRUE)
%grid.grep("vp2", sampleGTree, viewports=TRUE)
%grid.grep("vp", sampleGTree, viewports=TRUE, grep=TRUE)
%grid.grep("vp2", sampleGTree, viewports=TRUE, strict=TRUE)
%grid.grep("vp1::vp2", sampleGTree, viewports=TRUE)
%# Searching for both
%grid.grep("[a-z]", sampleGTree, viewports=TRUE, grep=TRUE, global=TRUE)
%}
%% Add one or more standard keywords, see file 'KEYWORDS' in the
%% R documentation directory.
%\keyword{ dplot }
%
%\encoding{UTF8}
%