% File src/library/grid/man/grid.move.to.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2013 R Core Team
% Distributed under GPL 2 or later

\name{grid.move.to}
%@%\alias{指定位置に移動}
\alias{grid.move.to}
\alias{grid.line.to}
\alias{moveToGrob}
\alias{lineToGrob}
\title{指定位置に移動するか描画する}
%\title{ Move or Draw to a Specified Position }
\description{
  グリッドは現在位置の概念を持つ．これらの関数はその位置を設定する．
}
\usage{
grid.move.to(x = 0, y = 0, default.units = "npc", name = NULL,
             draw = TRUE, vp = NULL)

moveToGrob(x = 0, y = 0, default.units = "npc", name = NULL,
           vp = NULL)

grid.line.to(x = 1, y = 1, default.units = "npc",
             arrow = NULL, name = NULL,
             gp = gpar(), draw = TRUE, vp = NULL)

lineToGrob(x = 1, y = 1, default.units = "npc", arrow = NULL,
           name = NULL, gp = gpar(), vp = NULL)
}
\arguments{
  \item{x}{x 値を指定する数値ベクトルか単位オブジェクト．}
  \item{y}{y 値を指定する数値ベクトルか単位オブジェクト．}
  \item{default.units}{
    \code{x} か \code{y} が数値ベクトルとしてだけ与えられた時
    使う既定の単位を指定する文字列．}
  \item{arrow}{線のどちらかの端に置かれる矢印を記述するリストで，
    \code{arrow} 関数が作るようなもの．}
  \item{name}{文字列識別子．}
  \item{draw}{グラフィックス出力を作成するかどうかを指示する論理値．}
  \item{gp}{クラス \code{gpar} のオブジェクトで，典型的には
    関数 \code{gpar} の呼び出しからの出力．
    これは基本的にはグラフィカルパラメータ設定のリストである．}
  \item{vp}{グリッドのビューポートオブジェクト(または NULL)．}
}
\details{
  どちらの関数も
  (move-to/line-to を記述するグラフィカルオブジェクト)を
  作るが，\cr
  \code{grid.move.to/line.to()} だけが
  move.to/line.to を描画する
  (そして \code{draw} が \code{TRUE} の時だけ)．
}
\value{
  move.to grob か line.to grob．
  \code{grid.move.to/line.to()} は値を不可視で返す．
}
\author{Paul Murrell}
\seealso{
  \link{Grid},
  \code{\link{viewport}},
  \code{\link{arrow}}
}

\examples{
grid.newpage()
grid.move.to(0.5, 0.5)
grid.line.to(1, 1)
grid.line.to(0.5, 0)
pushViewport(viewport(x=0, y=0, w=0.25, h=0.25, just=c("left", "bottom")))
grid.rect()
grid.grill()
grid.line.to(0.5, 0.5)
popViewport()
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/grid.move.to.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2013 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grid.move.to}
%\alias{grid.move.to}
%\alias{grid.line.to}
%\alias{moveToGrob}
%\alias{lineToGrob}
%\title{ Move or Draw to a Specified Position }
%\description{
%  Grid has the notion of a current location.  These functions
%  sets that location.
%}
%\usage{
%grid.move.to(x = 0, y = 0, default.units = "npc", name = NULL,
%             draw = TRUE, vp = NULL)
%
%moveToGrob(x = 0, y = 0, default.units = "npc", name = NULL,
%           vp = NULL)
%
%grid.line.to(x = 1, y = 1, default.units = "npc",
%             arrow = NULL, name = NULL,
%             gp = gpar(), draw = TRUE, vp = NULL)
%
%lineToGrob(x = 1, y = 1, default.units = "npc", arrow = NULL,
%           name = NULL, gp = gpar(), vp = NULL)
%}
%\arguments{
%  \item{x}{A numeric value or a unit object specifying an x-value.}
%  \item{y}{A numeric value or a unit object specifying a y-value.}
%  \item{default.units}{A string indicating the default units to use
%    if \code{x} or \code{y} are only given as numeric values.}
%  \item{arrow}{A list describing arrow heads to place at either end
%    of the line, as produced by the \code{arrow} function.}
%  \item{name}{ A character identifier. }
%  \item{draw}{A logical value indicating whether graphics output
%    should be produced.}
%  \item{gp}{An object of class \code{gpar}, typically the output
%    from a call to the function \code{gpar}.  This is basically
%    a list of graphical parameter settings.}
%  \item{vp}{A Grid viewport object (or NULL).}
%}
%\details{
%  Both functions create a move.to/line.to grob (a graphical object describing a
%  move-to/line-to), but only \code{grid.move.to/line.to()}
%  draws the move.to/line.to (and then only if \code{draw} is \code{TRUE}).
%}
%\value{
%  A move.to/line.to grob.
%  \code{grid.move.to/line.to()} returns the value invisibly.
%}
%\author{Paul Murrell}
%\seealso{
%  \link{Grid},
%  \code{\link{viewport}},
%  \code{\link{arrow}}
%}
%
%\examples{
%grid.newpage()
%grid.move.to(0.5, 0.5)
%grid.line.to(1, 1)
%grid.line.to(0.5, 0)
%pushViewport(viewport(x=0, y=0, w=0.25, h=0.25, just=c("left", "bottom")))
%grid.rect()
%grid.grill()
%grid.line.to(0.5, 0.5)
%popViewport()
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%