% File src/library/grid/man/grid.segments.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{grid.segments}
%@%\alias{線分を描く}
\alias{grid.segments}
\alias{segmentsGrob}
\title{線分を描く}
%\title{ Draw Line Segments }
\description{
  これらの関数は線分を作り描く．
}
\usage{
grid.segments(x0 = unit(0, "npc"), y0 = unit(0, "npc"),
              x1 = unit(1, "npc"), y1 = unit(1, "npc"),
              default.units = "npc",
              arrow = NULL,
              name = NULL, gp = gpar(), draw = TRUE, vp = NULL)
segmentsGrob(x0 = unit(0, "npc"), y0 = unit(0, "npc"),
              x1 = unit(1, "npc"), y1 = unit(1, "npc"),
              default.units = "npc",
              arrow = NULL, name = NULL, gp = gpar(), vp = NULL)
}
\arguments{
  \item{x0}{線分の開始x位置を指示する数値．}
  \item{y0}{線分の開始y位置を指示する数値．}
  \item{x1}{線分の停止x位置を指示する数値．}
  \item{y1}{線分の停止y位置を指示する数値．}
  \item{default.units}{文字列．}
  \item{arrow}{
    線分の両端に置かれる矢印を記述するリストで，
    \code{arrow} 関数が作り出すようなもの．}
  \item{name}{文字列識別子．}
  \item{gp}{クラス \code{gpar} のオブジェクト．}
  \item{draw}{グラフィックスの出力を生成すべきかどうかを指示する論理値．}
  \item{vp}{グリッドのビューポートオブジェクト(または NULL)．}
}
\details{
  どちらの関数も線分 grob
  (線分を記述するグラフィカルオブジェクト)を作るが，
  \code{grid.segments} だけが線分を描く
  (そして \code{draw} が \code{TRUE} の時だけ)．

}
\value{
  線分の grob．\code{grid.segments} は不可視で値を返す．
}
\author{Paul Murrell}
\seealso{
  \link{Grid},
  \code{\link{viewport}},
  \code{\link{arrow}}
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/grid.segments.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grid.segments}
%\alias{grid.segments}
%\alias{segmentsGrob}
%\title{ Draw Line Segments }
%\description{
%  These functions create and draw line segments.
%}
%\usage{
%grid.segments(x0 = unit(0, "npc"), y0 = unit(0, "npc"),
%              x1 = unit(1, "npc"), y1 = unit(1, "npc"),
%              default.units = "npc",
%              arrow = NULL,
%              name = NULL, gp = gpar(), draw = TRUE, vp = NULL)
%segmentsGrob(x0 = unit(0, "npc"), y0 = unit(0, "npc"),
%              x1 = unit(1, "npc"), y1 = unit(1, "npc"),
%              default.units = "npc",
%              arrow = NULL, name = NULL, gp = gpar(), vp = NULL)
%}
%\arguments{
%  \item{x0}{ Numeric indicating the starting x-values of the line segments. }
%  \item{y0}{ Numeric indicating the starting y-values of the line
%    segments. }
%  \item{x1}{ Numeric indicating the stopping x-values of the line
%    segments. }
%  \item{y1}{ Numeric indicating the stopping y-values of the line segments.}
%  \item{default.units}{ A string. }
%  \item{arrow}{A list describing arrow heads to place at either end
%    of the line segments, as produced by the \code{arrow} function.}
%  \item{name}{ A character identifier. }
%  \item{gp}{ An object of class \code{gpar}. }
%  \item{draw}{ A logical value indicating whether graphics output
%    should be produced.}
%  \item{vp}{A Grid viewport object (or NULL).}
%}
%\details{
%  Both functions create a segments grob (a graphical object describing
%  segments), but only \code{grid.segments}
%  draws the segments (and then only if \code{draw} is \code{TRUE}).
%
%}
%\value{
%  A segments grob.  \code{grid.segments} returns the value invisibly.
%}
%\author{Paul Murrell}
%\seealso{
%  \link{Grid},
%  \code{\link{viewport}},
%  \code{\link{arrow}}
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%