% File src/library/grid/man/grid.set.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2009 R Core Team
% Distributed under GPL 2 or later

\name{grid.set}
%@%\alias{グラフィカルオブジェクトを設定}
\alias{grid.set}
\alias{setGrob}
\title{グリッドのグラフィカルオブジェクトを設定する}
%\title{Set a Grid Graphical Object}
\description{
  grob か grob の子孫を置き換える．
}
\usage{
grid.set(gPath, newGrob, strict = FALSE, grep = FALSE,
         redraw = TRUE)

setGrob(gTree, gPath, newGrob, strict = FALSE, grep = FALSE)
}
\arguments{
  \item{gTree}{gTree オブジェクト．}
  \item{gPath}{gPath オブジェクト．\code{grid.set} に対しては
    これはディスプレイリスト上の grob を指定する．
    \code{setGrob} に対してはこれは指定された gTree の
    子孫を指定する．}
  \item{newGrob}{grob オブジェクト．}
  \item{strict}{gTree は正確にマッチされるべきかどうかを指示する
    ブール値．}
  \item{grep}{
    \code{gPath} を正規表現として扱うべきかどうかを
    指示するブール値．
    値は \code{gPath} の要素に跨ってリサイクルされる
    (例えば \code{c(TRUE, FALSE)} は
    \code{gPath} の全ての奇数番目の要素が正規表現として
    扱われるべきことを扱われる)．
  }
  \item{redraw}{grob を再描画するかどうかを指示する論理値．}
}
\details{
  \code{setGrob} は指定された grob をコピーし修正された
  grob を返す．

  \code{grid.set} はディスプレイリスト上の grob を破壊的に
  置き換える．
  もし \code{redraw} が \code{TRUE} ならば変更を反映するために
  全てを再描画する．

  これらの関数は普通ユーザが呼び出すべきではない．
}
\value{
  \code{setGrob} は grob オブジェクトを返す；\code{grid.set} は \code{NULL} を返す．
}
\author{Paul Murrell}
\seealso{
  \code{\link{grid.grob}}.
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/grid.set.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2009 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grid.set}
%\alias{grid.set}
%\alias{setGrob}
%\title{Set a Grid Graphical Object}
%\description{
%  Replace a grob or a descendant of a grob.
%
%}
%\usage{
%grid.set(gPath, newGrob, strict = FALSE, grep = FALSE,
%         redraw = TRUE)
%
%setGrob(gTree, gPath, newGrob, strict = FALSE, grep = FALSE)
%}
%\arguments{
%  \item{gTree}{A gTree object.}
%  \item{gPath}{ A gPath object. For \code{grid.set} this
%    specifies a grob on the display list.  For \code{setGrob} this
%    specifies a descendant of the specified gTree. }
%  \item{newGrob}{ A grob object. }
%  \item{strict}{ A boolean indicating whether the gPath must be
%    matched exactly. }
%  \item{grep}{A boolean indicating whether the \code{gPath} should
%    be treated as a regular expression.  Values are recycled across
%    elements of the \code{gPath} (e.g., \code{c(TRUE, FALSE)} means
%    that every odd element of the \code{gPath} will be treated as
%    a regular expression).
%  }
%  \item{redraw}{A logical value to indicate whether to redraw the grob. }
%}
%\details{
%  \code{setGrob} copies the specified grob and returns a modified
%  grob.
%
%  \code{grid.set} destructively replaces a grob on the display list.
%  If \code{redraw}
%  is \code{TRUE} it then redraws everything to reflect the change.
%
%  These functions should not normally be called by the user.
%}
%\value{
%  \code{setGrob} returns a grob object;  \code{grid.set} returns \code{NULL}.
%}
%\author{Paul Murrell}
%\seealso{
%  \code{\link{grid.grob}}.
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%