% File src/library/grid/man/grid.xaxis.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{grid.xaxis}
%@%\alias{xaxis を作る}
\alias{grid.xaxis}
\alias{xaxisGrob}
\title{Draw an X-Axis}
%\title{Draw an X-Axis}
\description{
  これらの関数は xaxis を作り描く．
}
\usage{
grid.xaxis(at = NULL, label = TRUE, main = TRUE,
           edits = NULL, name = NULL,
           gp = gpar(), draw = TRUE, vp = NULL)

xaxisGrob(at = NULL, label = TRUE, main = TRUE,
          edits = NULL, name = NULL,
          gp = gpar(), vp = NULL)
}
\arguments{
  \item{at}{
    チックマークのx値位置の数値ベクトル．}
  \item{label}{
    チックマーク上にラベルを描くかどうかを指示する論理値，または
    使用するラベルを指定する表現式か文字列ベクトル．
    もし論理値でなければ \code{at} 引数と同じ長さでなければならない．}
  \item{main}{
    x軸をビューポートの
    底(\code{TRUE})か上(\code{FALSE})に描くかを指示する論理値．}
  \item{edits}{
    \code{at} が \code{NULL} である限り.
    軸が最初に作られ再描画の過程で
    (軸の子供に)適用される編集操作を含む
    gEdit または gEditList．
    }
  \item{name}{文字列識別子．}
  \item{gp}{
    クラス \code{gpar} のオブジェクトで，典型的には
    関数 \code{gpar} への呼び出しの出力．
    これは典型的にはグラフィカルパラメータ設定のリストである．}
  \item{draw}{
    グラフィックス出力を生成するかどうかを指示する論理値．}
  \item{vp}{グリッドのビューポートオブジェクト(または \code{NULL})．}
}
\details{
  どちらの関数も xaxis
  (xaxis を表現するグラフィカルオブジェクト)を作るが，
  \code{grid.xaxis} だけがx軸を描く
  (そして \code{draw} が \code{TRUE} の時だけ)．
}
\value{
  x軸 grob． \code{grid.xaxis} は値を不可視で返す．
}
\section{子供}{
  もし x軸 grob の \code{at} スロットが \code{NULL} で無ければ
  x軸は次の子供を持つ：
  \describe{
    \item{major}{チックマークの基礎にある直線を表現する．}
    \item{ticks}{チックマークを表現する．}
    \item{labels}{チックラベルを表現する．}
  }

  もし \code{at} スロットが \code{NULL} ならば子供は無く
  チックは現在のビューポートのスケールに基づいて描かれる．
}
\author{Paul Murrell}
\seealso{
  \link{Grid},
  \code{\link{viewport}},
  \code{\link{grid.yaxis}}
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/grid.xaxis.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grid.xaxis}
%\alias{grid.xaxis}
%\alias{xaxisGrob}
%\title{Draw an X-Axis}
%\description{
%  These functions create and draw an x-axis.
%}
%\usage{
%grid.xaxis(at = NULL, label = TRUE, main = TRUE,
%           edits = NULL, name = NULL,
%           gp = gpar(), draw = TRUE, vp = NULL)
%
%xaxisGrob(at = NULL, label = TRUE, main = TRUE,
%          edits = NULL, name = NULL,
%          gp = gpar(), vp = NULL)
%}
%\arguments{
%  \item{at}{A numeric vector of x-value locations for the tick marks.}
%  \item{label}{A logical value indicating whether to draw the labels
%    on the tick marks, or an expression or character vector which
%    specify the labels to use.  If not logical, must be the same
%    length as the \code{at} argument.}
%  \item{main}{A logical value indicating whether to draw the axis
%    at the bottom (\code{TRUE}) or at the top (\code{FALSE}) of the
%    viewport.}
%  \item{edits}{A gEdit or gEditList containing edit operations
%    to apply (to the children of the axis)
%    when the axis is first created and during redrawing
%    whenever \code{at} is \code{NULL}.
%    }
%  \item{name}{ A character identifier. }
%  \item{gp}{An object of class \code{gpar}, typically the output
%    from a call to the function \code{gpar}.  This is basically
%    a list of graphical parameter settings.}
%  \item{draw}{A logical value indicating whether graphics output
%    should be produced.}
%  \item{vp}{A Grid viewport obect (or \code{NULL}).}
%}
%\details{
%  Both functions create an xaxis grob (a graphical object describing an
%  xaxis), but only \code{grid.xaxis}
%  draws the xaxis (and then only if \code{draw} is \code{TRUE}).
%}
%\value{
%  An xaxis grob.  \code{grid.xaxis} returns the value invisibly.
%}
%\section{Children}{
%  If the \code{at} slot of an xaxis grob is not \code{NULL} then
%  the xaxis will have the following children:
%  \describe{
%    \item{major}{ representing the line at the base of the
%    tick marks.}
%    \item{ticks}{representing the tick marks.}
%    \item{labels}{representing the tick labels.}
%  }
%
%  If the \code{at} slot is \code{NULL} then there are no children
%  and ticks are drawn based on the current viewport scale.
%}
%\author{Paul Murrell}
%\seealso{
%  \link{Grid},
%  \code{\link{viewport}},
%  \code{\link{grid.yaxis}}
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%