% File src/library/grid/man/valid.just.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2013 R Core Team
% Distributed under GPL 2 or later

\name{valid.just}
%@%\alias{位置揃えの検証}
\alias{valid.just}
\alias{resolveHJust}
\alias{resolveVJust}
\title{位置揃えを検証する}
%\title{Validate a Justification}
\description{
  位置揃えの指定が適正かを決定し，
  文字と数値の組み合わせを単一の位置揃え値に解消するための
  ユーティリティ関数．
}
\usage{
valid.just(just)
resolveHJust(just, hjust) 
resolveVJust(just, vjust) 
}
\arguments{
  \item{just}{
    \code{"left"} のような文字列値か，
    0のような数値としての位置揃え指定．}
  \item{hjust}{数値の水平位置揃え指定}
  \item{vjust}{数値の垂直位置揃え指定}
}
\details{
  これらの関数は新しい grob クラスを書く時
  \code{validDetails} メソッド中で有用かもしれない．
}
\value{
  位置揃えの数値表現
  (例えば \code{"left"} は0, \code{"right"} は1，等 ...)．
  もし位置揃えが適正でなければエラーを与える．
}
\author{Paul Murrell}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/valid.just.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2013 R Core Team
%% Distributed under GPL 2 or later
%
%\name{valid.just}
%\alias{valid.just}
%\alias{resolveHJust}
%\alias{resolveVJust}
%\title{Validate a Justification}
%\description{
%  Utility functions for determining
%  whether a justification specification is valid
%  and for resolving a single justification value from
%  a combination of character and numeric values.
%}
%\usage{
%valid.just(just)
%resolveHJust(just, hjust) 
%resolveVJust(just, vjust) 
%}
%\arguments{
%  \item{just}{A justification either as a character value,
%    e.g., \code{"left"}, or as a numeric value, e.g., 0.}
%  \item{hjust}{A numeric horizontal justification}
%  \item{vjust}{A numeric vertical justification}
%}
%\details{
%  These functions may be useful within a \code{validDetails} method
%  when writing a new grob class.
%}
%\value{
%  A numeric representation of the justification (e.g.,
%  \code{"left"} becomes 0, \code{"right"} becomes 1, etc, ...).
%  An error is given if the justification is not valid.
%}
%\author{Paul Murrell}
%\keyword{dplot}
%
%\encoding{UTF8}
%