% File src/library/grid/man/vpPath.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{vpPath}
%@%\alias{ビューポート名の連結}
\alias{vpPath}
\title{ビューポートの名前を連結する}
%\title{ Concatenate Viewport Names }
\description{
  この関数は
  \code{downViewport} や \code{seekViewport} 中で使うための
  ビューポートのパスを作るのに使うことが出来る．

  ビューポートパスは入れ子になったビューポート名のリストである．
}
\usage{
vpPath(...)
}

\arguments{
  \item{\dots}{ビューポートの名前である文字列ベクトル．}
}
\details{
  ビューポート名はビューポートツリー中で
  同じ親を共有するビューポート間でだけユニークである必要がある．

  この関数はビューポートの親の名前(そしてその親の名前等々)
  を含むビューポートに対する
  指定を生成するのに使うことが出来る．

  対話的な使用に対しては，パスを直接指定することが可能であるが，
  さもなければグリッドの将来のバージョンでパス分離記号が変更される場合に備え
  この関数を使うことを強く勧める．
}
\value{
  \code{vpPath} オブジェクト．
}
\seealso{
  \code{\link{viewport}},
  \code{\link{pushViewport}},
  \code{\link{popViewport}},
  \code{\link{downViewport}},
  \code{\link{seekViewport}},
  \code{\link{upViewport}}
}
\examples{
vpPath("vp1", "vp2")
}
\keyword{ dplot }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/vpPath.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{vpPath}
%\alias{vpPath}
%\title{ Concatenate Viewport Names }
%\description{
%  This function can be used to generate a viewport path for use
%  in \code{downViewport} or \code{seekViewport}.
%
%  A viewport path is a list of nested viewport names.
%}
%\usage{
%vpPath(...)
%}
%
%\arguments{
%  \item{\dots}{ Character values which are viewport names. }
%}
%\details{
%  Viewport names must only be unique amongst viewports which
%  share the same parent in the viewport tree.
%
%  This function can be used to generate a specification for
%  a viewport that includes the viewport's parent's name
%  (and the name of its parent and so on).
%
%  For interactive use, it is possible to directly specify
%  a path, but it is strongly recommended that this function
%  is used otherwise in case the path separator is changed
%  in future versions of grid.
%}
%\value{
%  A \code{ vpPath } object.
%}
%\seealso{
%  \code{\link{viewport}},
%  \code{\link{pushViewport}},
%  \code{\link{popViewport}},
%  \code{\link{downViewport}},
%  \code{\link{seekViewport}},
%  \code{\link{upViewport}}
%}
%\examples{
%vpPath("vp1", "vp2")
%}
%\keyword{ dplot }
%
%\encoding{UTF8}
%