% File src/library/stats/man/as.hclust.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2014 R Core Team
% Distributed under GPL 2 or later

\name{as.hclust}
\alias{as.hclust}
\alias{as.hclust.default}
\alias{as.hclust.twins}
%%\title{Convert Objects to Class hclust}
\title{階層的クラスターモデルの変換}
\usage{
as.hclust(x, \dots)
}
\arguments{
  \item{x}{階層的クラスタリングオブジェクト．}
  \item{\dots}{他のメソッドに・から渡される追加引数．}
}
\description{
  他の階層的クラスタリング関数からのオブジェクトを
  クラス class \code{"hclust"} に変換する．
}
\details{
  現在関数 \code{diana} から作られたクラス \code{"twins"}
  とパッケージ \CRANpkg{cluster} 中の関数で作られたオブジェクトの変換
  だけがサポートされている．
  既定のメソッドは
  パッケージ \CRANpkg{cluster} からの \code{agnes}．
  既定のメソッドは
  \code{"hclust"} オブジェクトを渡さないとエラーを与える．
}
\value{
  クラス \code{"hclust"} のオブジェクト．
}
\seealso{
  \code{\link{hclust}}，そしてパッケージ \CRANpkg{cluster} からの
  \code{\link[cluster]{diana}} と \code{\link[cluster]{agnes}}．
}
\examples{
x <- matrix(rnorm(30), ncol = 3)
hc <- hclust(dist(x), method = "complete")

\donttest{if(require("cluster", quietly = TRUE)) {# 推奨パッケージである
  ag <- agnes(x, method = "complete")
  hcag <- as.hclust(ag)
  ## デンドログラムの順序が少し違う：
  op <- par(mfrow = c(1,2))
  plot(hc) ;  mtext("hclust", side = 1)
  plot(hcag); mtext("agnes",  side = 1)
  detach("package:cluster")
}}
}
\keyword{multivariate}
\keyword{cluster}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/as.hclust.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{as.hclust}
%\alias{as.hclust}
%\alias{as.hclust.default}
%\alias{as.hclust.twins}
%\title{Convert Objects to Class hclust}
%\usage{
%as.hclust(x, \dots)
%}
%\arguments{
%  \item{x}{Hierarchical clustering object}
%  \item{\dots}{further arguments passed to or from other methods.}
%}
%\description{
%  Converts objects from other hierarchical clustering functions to
%  class \code{"hclust"}.
%}
%\details{
%  Currently there is only support for converting objects of
%  class \code{"twins"} as produced by the functions \code{diana} and
%  \code{agnes} from the package \CRANpkg{cluster}.  The default method
%  throws an error unless passed an \code{"hclust"} object.
%}
%\value{
%  An object of class \code{"hclust"}.
%}
%\seealso{
%  \code{\link{hclust}}, and from package \CRANpkg{cluster},
%  \code{\link[cluster]{diana}} and \code{\link[cluster]{agnes}}
%}
%\examples{
%x <- matrix(rnorm(30), ncol = 3)
%hc <- hclust(dist(x), method = "complete")
%
%\donttest{if(require("cluster", quietly = TRUE)) {# is a recommended package
%  ag <- agnes(x, method = "complete")
%  hcag <- as.hclust(ag)
%  ## The dendrograms order slightly differently:
%  op <- par(mfrow = c(1,2))
%  plot(hc) ;  mtext("hclust", side = 1)
%  plot(hcag); mtext("agnes",  side = 1)
%  detach("package:cluster")
%}}
%}
%\keyword{multivariate}
%\keyword{cluster}
%
%\encoding{UTF-8}
%
