% File src/library/stats/man/fitted.values.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{fitted}
\title{Extract Model Fitted Values}
\usage{
fitted(object, \dots)
fitted.values(object, \dots)
}
\alias{fitted.values}
\alias{fitted}%@%\alias{モデルの当てはめ値を取り出す}
\alias{fitted.default}
\arguments{
  \item{object}{モデルの当てはめ値の取り出しが意味を持つオブジェクト．}
  \item{\dots}{他の引数．}
}
\description{
  \code{fitted} は総称的関数で，モデリング関数が返したオブジェクト
  から当てはめ値を取り出す．
  \code{fitted.values} はその別名である．

  モデリング関数が返す全てのオブジェクトクラスは
  \code{fitted} メソッドを提供すべきである．
  (総称的関数は \code{fitted} であり \code{fitted.values} ではないことを
  注意する．)

  メソッドは欠損値の無視を相殺するために
  \code{\link{napredict}} メソッドを使うことが出来る．
  既定と \code{\link{nls}} メソッドはそうする．
}
\value{
  オブジェクト \code{object} から取り出された当てはめ値．
}
\references{
  Chambers, J. M. and Hastie, T. J. (1992)
  \emph{Statistical Models in S}.
  Wadsworth & Brooks/Cole.
}
\seealso{
  \code{\link{coefficients}}, \code{\link{glm}}, \code{\link{lm}},
  \code{\link{residuals}}.
}
\keyword{models}
\keyword{regression}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/fitted.values.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{fitted}
%\title{Extract Model Fitted Values}
%\usage{
%fitted(object, \dots)
%fitted.values(object, \dots)
%}
%\alias{fitted.values}
%\alias{fitted}
%\alias{fitted.default}
%\arguments{
%  \item{object}{an object for which the extraction of model fitted values is
%    meaningful.}
%  \item{\dots}{other arguments.}
%}
%\description{
%  \code{fitted} is a generic function which extracts fitted values from
%  objects returned by modeling functions.  \code{fitted.values} is an
%  alias for it.
%
%  All object classes which are returned by model fitting functions
%  should provide a \code{fitted} method.  (Note that the generic is
%  \code{fitted} and not \code{fitted.values}.)
%
%  Methods can make use of \code{\link{napredict}} methods to compensate
%  for the omission of missing values.  The default and \code{\link{nls}}
%  methods do.
%}
%\value{
%  Fitted values extracted from the object \code{object}.
%}
%\references{
%  Chambers, J. M. and Hastie, T. J. (1992)
%  \emph{Statistical Models in S}.
%  Wadsworth & Brooks/Cole.
%}
%\seealso{
%  \code{\link{coefficients}}, \code{\link{glm}}, \code{\link{lm}},
%  \code{\link{residuals}}.
%}
%\keyword{models}
%\keyword{regression}
%
%\encoding{UTF-8}
%
