% File src/library/stats/man/formula.nls.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2010 R Core Team
% Distributed under GPL 2 or later

\name{formula.nls}

\alias{formula.nls}%@%\alias{nls オブジェクトからモデル公式を抜き出す}
\title{Extract Model Formula from nls Object}
\usage{
\method{formula}{nls}(x, \dots)
}
\arguments{
 \item{x}{
   クラス \code{"nls"} を継承するオブジェクトで，
   非線形最少二乗当てはめを表す．}
 \item{\dots}{他のメソッドに・から渡される追加引数．}
}
\description{
  \code{object} の当てはめに使われたモデルを返す．
}
\value{
  \code{object} の当てはめに使われたモデルを表す公式．
}
\author{\enc{José}{Jose} Pinheiro と Douglas Bates}
\seealso{\code{\link{nls}}, \code{\link{formula}}}
\examples{
fm1 <- nls(circumference ~ A/(1+exp((B-age)/C)), Orange,
           start = list(A = 160, B = 700, C = 350))
formula(fm1)
}
\keyword{models}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/formula.nls.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2010 R Core Team
%% Distributed under GPL 2 or later
%
%\name{formula.nls}
%
%\alias{formula.nls}
%\title{Extract Model Formula from nls Object}
%\usage{
%\method{formula}{nls}(x, \dots)
%}
%\arguments{
% \item{x}{an object inheriting from class \code{"nls"}, representing
%   a nonlinear least squares fit.}
% \item{\dots}{further arguments passed to or from other methods.}
%}
%\description{
%  Returns the model used to fit \code{object}.
%}
%\value{
%  a formula representing the model used to obtain \code{object}.
%}
%\author{\enc{José}{Jose} Pinheiro and Douglas Bates}
%\seealso{\code{\link{nls}}, \code{\link{formula}}}
%\examples{
%fm1 <- nls(circumference ~ A/(1+exp((B-age)/C)), Orange,
%           start = list(A = 160, B = 700, C = 350))
%formula(fm1)
%}
%\keyword{models}
%
%\encoding{UTF-8}
%
