% File src/library/stats/man/spec.taper.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{spec.taper}
\alias{spec.taper}%@%\alias{時系列のテーパー}
\title{Taper a Time Series by a Cosine Bell}
\usage{
spec.taper(x, p = 0.1)
}
\arguments{
 \item{x}{一変量又は多変量時系列．}
 \item{p}{テーパーに掛けられる時系列の端の割合で，
   スカラ(全ての時系列の割合)か
   系列の個数の長さのベクトル(各系列に対する割合．}
}
\description{
  時系列にコサインベル・テーパーを適用する．
}
\details{
  コサインベル・テーパーを
  時系列 \code{x[, i]} の最初と最後の \code{p[i]} 分の
  観測値に適用する．
}
\value{
  新しい時系列オブジェクト．
}
\seealso{
  \code{\link{spec.pgram}}, \code{\link{cpgram}}
}
\keyword{ts}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/spec.taper.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{spec.taper}
%\alias{spec.taper}
%\title{Taper a Time Series by a Cosine Bell}
%\usage{
%spec.taper(x, p = 0.1)
%}
%\arguments{
% \item{x}{A univariate or multivariate time series}
% \item{p}{The proportion to be tapered at each end of the series,
%   either a scalar (giving the proportion for all series)
%   or a vector of the length of the number of series (giving the
%   proportion for each series..}
%}
%\description{
%  Apply a cosine-bell taper to a time series.
%}
%\details{
%  The cosine-bell taper is applied to the first and last \code{p[i]}
%  observations of time series \code{x[, i]}.
%}
%\value{
%  A new time series object.
%}
%\seealso{
%  \code{\link{spec.pgram}}, \code{\link{cpgram}}
%}
%\keyword{ts}
%
%\encoding{UTF-8}
%
