% File src/library/stats/man/tsSmooth.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{tsSmooth}
\alias{tsSmooth}%@%\alias{時系列の固定区間平滑化}
\alias{tsSmooth.StructTS}
\title{Use Fixed-Interval Smoothing on Time Series}
\description{
  状態空間モデルを使い一変量時系列に固定区間平滑化を実行する．
  固定区間平滑化は全観測系列に基づき各時間毎の状態の最良推定を与える．
}
\usage{
tsSmooth(object, \dots)
}
\arguments{
  \item{object}{時系列当てはめ．現在クラス
    \code{"\link{StructTS}"} だけがサポートされている．}
  \item{\dots}{将来のメソッドのためのありそうな引数．}
}
\value{
  時系列，状態空間と同じ次元とオリジナルの系列の各点での結果を持つ．
  (季節モデルに対しては，現在の季節成分だけが返される．)
}

\references{
  Durbin, J. and Koopman, S. J. (2001) \emph{Time Series Analysis by
    State Space Methods.}  Oxford University Press.
}

\author{ B. D. Ripley }

\seealso{
  \code{\link{KalmanSmooth}}, \code{\link{StructTS}}.

  例えば \code{\link{AirPassengers}},
  \code{\link{JohnsonJohnson}} そして \code{\link{Nile}}
  を見よ．
}
\keyword{ts}


\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/tsSmooth.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{tsSmooth}
%\alias{tsSmooth}
%\alias{tsSmooth.StructTS}
%\title{Use Fixed-Interval Smoothing on Time Series}
%\description{
%  Performs fixed-interval smoothing on a univariate time series via a
%  state-space model.  Fixed-interval smoothing gives the best estimate
%  of the state at each time point based on the whole observed series.
%}
%\usage{
%tsSmooth(object, \dots)
%}
%\arguments{
%  \item{object}{a time-series fit.  Currently only class
%    \code{"\link{StructTS}"} is supported}
%  \item{\dots}{possible arguments for future methods.}
%}
%\value{
%  A time series, with as many dimensions as the state space and results
%  at each time point of the original series.  (For seasonal models, only
%  the current seasonal component is returned.)
%}
%
%\references{
%  Durbin, J. and Koopman, S. J. (2001) \emph{Time Series Analysis by
%    State Space Methods.}  Oxford University Press.
%}
%
%\author{ B. D. Ripley }
%
%\seealso{
%  \code{\link{KalmanSmooth}}, \code{\link{StructTS}}.
%
%  For examples consult \code{\link{AirPassengers}},
%  \code{\link{JohnsonJohnson}} and \code{\link{Nile}}.
%}
%\keyword{ts}
%
%
%\encoding{UTF-8}
%
