% File src/library/tools/man/getDepList.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2008-2015 R Core Team
% Distributed under GPL 2 or later

\name{dependsOnPkgs}
%@%\alias{dependsOnPkgs}
\alias{dependsOnPkgs}
\title{逆向きの従属性を見つける}
%\title{Find Reverse Dependencies}
\description{
  パッケージの\sQuote{逆向き}従属性を見つける，つまり
  このパッケージに依存するもの，そして
  (オプションで)再帰的に探索する．
}
\usage{
dependsOnPkgs(pkgs,
              dependencies = c("Depends", "Imports", "LinkingTo"),
              recursive = TRUE, lib.loc = NULL,
              installed =
              utils::installed.packages(lib.loc, fields = "Enhances"))
}
\arguments{
  \item{pkgs}{パッケージ名の文字列ベクトル．}
  \item{dependencies}{
    従属性のタイプをリストする文字列ベクトルで\cr
    \code{c("Depends", "Imports", "LinkingTo", "Suggests", "Enhances")} の
    部分集合．文字列 \code{"all"} はこのベクトルの短縮形で，
    そして \code{"most"} は現在 \code{"Enhances"} を除くもの．}
  \item{recursive}{論理値：逆向き従属性の逆向き従属性(等)を
    含めるべきか?}
  \item{lib.loc}{
    \R のライブラリツリーの文字列，または全ての既知のツリーに対する \code{NULL}
    (\code{\link{.libPaths}} を見よ)．}
  \item{installed}{
    呼び出し \code{\link{installed.packages}} の結果．}
}
\value{
  パッケージ名の文字列で，
  \code{pkgs} からのものは含まない．
}
% do not test as result depends if recommended packages are installed.
\examples{\donttest{
## バニラ R インストールにはほとんど従属性がない：
## lattice はインストールされないかもしれない
dependsOnPkgs("lattice")
}}
\keyword{utilities}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/getDepList.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2008-2015 R Core Team
%% Distributed under GPL 2 or later
%
%\name{dependsOnPkgs}
%\alias{dependsOnPkgs}
%\title{Find Reverse Dependencies}
%\description{
%  Find \sQuote{reverse} dependencies of packages, that is those packages
%  which depend on this one, and (optionally) so on recursively.
%}
%\usage{
%dependsOnPkgs(pkgs,
%              dependencies = c("Depends", "Imports", "LinkingTo"),
%              recursive = TRUE, lib.loc = NULL,
%              installed =
%              utils::installed.packages(lib.loc, fields = "Enhances"))
%}
%\arguments{
%  \item{pkgs}{a character vector of package names.}
%  \item{dependencies}{a character vector listing the types of
%    dependencies, a subset of
%    \code{c("Depends", "Imports", "LinkingTo", "Suggests", "Enhances")}.
%    Character string \code{"all"} is shorthand for that vector, and
%    \code{"most"} currently shorthand for these apart from \code{"Enhances"}.}
%  \item{recursive}{logical: should reverse dependencies of reverse
%    dependencies (and so on) be included?}
%  \item{lib.loc}{a character vector of \R library trees, or \code{NULL}
%    for all known trees (see \code{\link{.libPaths}}).}
%  \item{installed}{a result of calling \code{\link{installed.packages}}.}
%}
%\value{
%  A character vector of package names, which does not include any from
%  \code{pkgs}.
%}
%% do not test as result depends if recommended packages are installed.
%\examples{\donttest{
%## there are few dependencies in a vanilla R installation:
%## lattice may not be installed
%dependsOnPkgs("lattice")
%}}
%\keyword{utilities}
%
%\encoding{UTF8}
%