\name{getVignetteInfo}
%@%\alias{ビニエットの情報}
\alias{getVignetteInfo}
\title{インストールされたビニエットの情報を得る}
%\title{Get information on installed vignettes.}
\description{
この関数はインストールされたビニエットの情報を得る．
}
\usage{
getVignetteInfo(package = NULL, lib.loc = NULL, all = TRUE)
}
\arguments{
  \item{package}{
どのパッケージを調べるか，または \code{NULL} なら全てのパッケージ．
}
  \item{lib.loc}{
どのライブラリを調べるか．
}
  \item{all}{
全てのインストールされたパッケージを検索するか，それとも単に
付加されたパッケージだけか．
}
}
\value{
次の列を持つ行列
\item{Package}{パッケージ名}
\item{Dir}{パッケージがインストールされているディレクトリ}
\item{Topic}{ビニエットの名前}
\item{File}{ビニエットのソースの基本ファイル名}
\item{Title}{ビニエットのタイトル}
\item{R}{ビニエットからの tangle された R ソース}
\item{PDF}{表示用の PDF または HTML ファイル}
}
\note{
結果の最後の列は歴史的理由から
\code{PDF} という名前を持つが，
PDF や HTML ドキュメントのファイル名を含むかもしれない．
}
\seealso{
\code{\link{pkgVignettes}} はインストールされていないパッケージに
対して使える同様の関数である．
}
\examples{
\donttest{
getVignetteInfo("grid")
}
}
\keyword{ utilities }
\keyword{ documentation }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\name{getVignetteInfo}
%\alias{getVignetteInfo}
%\title{
%Get information on installed vignettes.
%}
%\description{
%This function gets information on installed vignettes.
%}
%\usage{
%getVignetteInfo(package = NULL, lib.loc = NULL, all = TRUE)
%}
%\arguments{
%  \item{package}{
%Which package to look in, or \code{NULL} for all packages.
%}
%  \item{lib.loc}{
%Which library to look in.
%}
%  \item{all}{
%Whether to search all installed packages, or just attached packages.
%}
%}
%\value{
%A matrix with columns
%\item{Package}{the name of the package}
%\item{Dir}{the directory where the package is installed}
%\item{Topic}{the name of the vignette}
%\item{File}{the base filename of the source of the vignette}
%\item{Title}{the title of the vignette}
%\item{R}{the tangled R source from the vignette}
%\item{PDF}{the PDF or HTML file for display}
%}
%\note{
%The last column of the result is named \code{PDF} for historical reasons, 
%but it may contain a filename of a PDF or HTML document.
%}
%\seealso{
%\code{\link{pkgVignettes}} is a similar function that can work on
%an uninstalled package.
%}
%\examples{
%\donttest{
%getVignetteInfo("grid")
%}
%}
%\keyword{ utilities }
%\keyword{ documentation }
%
%\encoding{UTF8}
%