% File src/library/tools/man/makeLazyLoading.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2011 R Core Team
% Distributed under GPL 2 or later

\name{makeLazyLoading}
%@%\alias{パッケージの遅延ロード}
\alias{makeLazyLoading}
\title{パッケージの遅延ロード}
%\title{Lazy Loading of Packages}
\usage{
makeLazyLoading(package, lib.loc = NULL, compress = TRUE,
                keep.source = getOption("keep.source.pkgs"))
}
\arguments{
  \item{package}{パッケージの名前の文字列}
  \item{lib.loc}{\code{library} 中のようなライブラリツリー}
  \item{keep.source}{論理値；ソースから保存する時にソースを保存するべきか}
  \item{compress}{論理値；データベース上の項目を圧縮するかどうか．}
}
\description{
  データベースからのパッケージを遅延ロードするためのツール．
}
\details{
  データベースからの遅延ロードのためにパッケージを設定するツール．
  \pkg{base} 以外のパッケージに対しては
  遅延ロードを使うためのそれらを
  \code{makeLazyLoading(package)} を使って変換することが出来る．

  これはパッケージがインストールされる時に実行される．
}
\keyword{utilities}
\author{Luke Tierney と Brian Ripley}
\keyword{internal}


\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/makeLazyLoading.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{makeLazyLoading}
%\alias{makeLazyLoading}
%\title{Lazy Loading of Packages}
%\usage{
%makeLazyLoading(package, lib.loc = NULL, compress = TRUE,
%                keep.source = getOption("keep.source.pkgs"))
%}
%\arguments{
%  \item{package}{package name string}
%  \item{lib.loc}{library trees, as in \code{library}}
%  \item{keep.source}{logical; should sources be kept when saving from source}
%  \item{compress}{logical; whether to compress entries on the database.}
%}
%\description{
%  Tools for lazy loading of packages from a database.
%}
%\details{
%  A tool to set up packages for lazy loading from a database.  For
%  packages other than \pkg{base} you can use
%  \code{makeLazyLoading(package)} to convert them to use lazy loading.
%
%  This is done when a package is installed.
%}
%\keyword{utilities}
%\author{Luke Tierney and Brian Ripley}
%\keyword{internal}
%
%
%\encoding{UTF8}
%